=== src/lens_calibrate/CMakeLists.txt ===
ADD_EXECUTABLE(calibrate_lens 
Main.cpp
Globals.h
Globals.cpp
MapPoints.h
MapPoints.cpp
ProcessImage.h
ProcessImage.cpp
Straighten.h
Straighten.cpp
lensFunc.h
lensFunc.cpp
HermiteSpline.h
HermiteSpline.c
find_N8_lines.h
find_N8_lines.cpp
)

ADD_EXECUTABLE( test_lensFunc
test_lensFunc.cpp
lensFunc.cpp
HermiteSpline.c
)

TARGET_LINK_LIBRARIES( calibrate_lens huginANN ${image_libs} ${common_libs} )
INSTALL(TARGETS calibrate_lens DESTINATION ${BINDIR})
