=== debian/changelog ===
hugin (2010.2.0+dfsg~rc2-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Add depends on autopano-sift-c | autopano-sift
    - Rework 51_ubuntu-autopano-sift.patch

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 08 Nov 2010 06:28:47 +0000

hugin (2010.2.0+dfsg~rc2-1) experimental; urgency=low

  * New upstream version.
  * Bump build-dep on libpano13 to require 2.9.17 release.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Oct 2010 13:57:01 +0200

hugin (2010.2.0+dfsg~rc1-1) experimental; urgency=low

  * New upstream version.
  * Standards-Version 3.9.1. No changes required.
  * Wrap Build-Depends line in debian/control

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Sep 2010 12:16:40 +0200

hugin (2010.2.0+dfsg~beta2-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 01 Sep 2010 18:59:01 +0200

hugin (2010.2.0+dfsg~beta1-1) experimental; urgency=low

  * New upstream version.
    + Drop debian/patches/20_readonly_fs.diff, included upstream.
    + Update patches.
    + Bump build-dep on libpano13-dev to (>= 2.9.17~beta2-0).
  * Ship newly available binaries (pano_modify pano_trafo pto_merge).

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Jul 2010 18:15:48 +0200
