=== debian/control ===
Source: hugin
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>, Florent Bayle <fbayle@bigfoot.com>, Andreas Metzler <ametzler@debian.org>
Build-Depends: debhelper (>= 5), cmake, libboost-graph-dev,
 libboost-thread-dev, zlib1g-dev, libexiv2-dev (>= 0.12), libjpeg62-dev,
 libopenexr-dev, libpano13-dev (>= 2.9.17-0), libpng12-dev,
 libtiff4-dev, libgtk2.0-dev, libwxgtk2.8-dev, libglew1.5-dev, freeglut3-dev
Build-Conflicts: wx2.6-headers
Standards-Version: 3.9.1
Homepage: http://hugin.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-phototools/hugin.git
Vcs-Browser: http://git.debian.org/?p=pkg-phototools/hugin.git

Package: hugin
Section: graphics
Architecture: any
Depends: hugin-tools (= ${binary:Version}), enblend (>= 3.2), enfuse, libimage-exiftool-perl, make, autopano-sift-c | autopano-sift , ${shlibs:Depends}, ${misc:Depends}
Conflicts: hugin-bin (<< 0.7.0~svn)
Replaces: hugin-bin (<< 0.7.0~svn), hugin-data (<< 0.7.0~svn), hugin-tools (<< 0.7.0~svn)
Provides: hugin-bin
Description: GUI tools for Hugin
 Hugin is a panorama photo stitching program. Essentially, Hugin is a
 GUI frontend for Panorama Tools. Stitching is accomplished by using
 several overlapping photos taken from the same location, and using
 control points to align and transform the photos so that they can be
 blended together to form a larger image. Hugin allows for the easy
 creation of control points between two images, optimization of the
 image transforms, and much more.
 .
 This package includes the following graphical interfaces, using the
 command-line tools provided in the hugin-tools package:
  * hugin                - Hugin panorama creator
  * hugin_stitch_project - Hugin batch stitcher
  * nona_gui             - Graphical interface for nona.

Package: hugin-tools
Section: graphics
Architecture: any
Depends: hugin-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: hugin-bin (<< 0.7.0~svn)
Replaces: hugin-bin (<< 0.7.0~svn)
Recommends: libpano13-bin
Suggests: autopano-sift | autopano-sift-c
Description: CLI tools for Hugin
 Hugin is a panorama photo stitching program.
 .
 This package includes command-line tools used by hugin and other
 packages for image stitching and High Dynamic Range (HDR) images:
  * align_image_stack - Align overlapping images for HDR creation.
  * autooptimiser     - Optimize image positions.
  * calibrate_lens    - Lens calibration tool
  * cpclean           - Remove wrong control points
  * fulla             - Correct lens distortion, vignetting, and
                        chromatic aberration.
  * hugin_hdrmerge    - Merge overlapping images.
  * nona              - Stitch a panorama image.
  * vig_optimize      - Determine the radial vignetting.
  * pto2mk            - Create a makefile for stitching.
  * matchpoint        - Run feature detection and extraction
  * celeste_standalone- Remove cloud-like control points.

Package: hugin-data
Section: graphics
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: data files for Hugin
 Hugin is a panorama photo stitching program.
 .
 This package includes the data files needed by the hugin and
 hugin-tools packages.
